.TH CosTransactions_RecoveryCoordinator 3 "cosTransactions  1.2.7" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosTransactions_RecoveryCoordinator \- This module implements the OMG CosTransactions::RecoveryCoordinator interface\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br
\fI-include_lib("cosTransactions/include/CosTransactions\&.hrl")\&.\fR

.SH EXPORTS
.LP
.B
replay_completion(RecoveryCoordinator, Timeout, Resource) -> Return
.br
.RS
.TP
Types
RecoveryCoordinator = #objref
.br
Timeout = integer(), milliseconds | \&'inifinity\&'
.br
Resource = #objref
.br
Return = Status | {\&'EXCEPTION\&', E}
.br
E = #\&'CosTransactions_NotPrepared\&'{}
.br
Status = atom()
.br
.RE
.RS
.LP
The \fIRecoveryCoordinator\fR object is returned by the operation \fICosTransactions_Coordinator:register_resource/3\fR\&. The \fIreplay_completion/2\fR may only be used by the registered Resource and returns the current status of the transaction\&. The operation is used when recovering after a failure\&.
.LP
Possible Status replies:
.RS 2
.TP 2
*
\&'StatusCommitted\&'
.TP 2
*
\&'StatusCommitting\&'
.TP 2
*
\&'StatusMarkedRollback\&'
.TP 2
*
\&'StatusRollingBack\&'
.TP 2
*
\&'StatusRolledBack\&'
.TP 2
*
\&'StatusActive\&'
.TP 2
*
\&'StatusPrepared\&'
.TP 2
*
\&'StatusUnknown\&'
.TP 2
*
\&'StatusNoTransaction\&'
.TP 2
*
\&'StatusPreparing\&'
.RE
.SS Warning:
.LP
\fIreplay_completion/3\fR is blocking and may cause dead-lock if a child calls this function at the same time as its parent invokes an operation on the child\&. Dead-lock will not occur if the timeout has any value except \&'infinity\&'\&.
.LP
If the call is external incoming (intra-ORB) the timeout will not be activated\&. Hence, similar action must be taken if the Resource resides on another vendors ORB\&.

.RE
